/*
 * Paper.js - The Swiss Army Knife of Vector Graphics Scripting.
 * http://paperjs.org/
 *
 * Copyright (c) 2011 - 2013, Juerg Lehni & Jonathan Puckey
 * http://lehni.org/ & http://jonathanpuckey.com/
 *
 * Distributed under the MIT license. See LICENSE file for details.
 *
 * All rights reserved.
 */

/*#*/ include('Point.js');
/*#*/ include('Size.js');
/*#*/ include('Rectangle.js');
/*#*/ include('Matrix.js');

/*#*/ include('Color.js');

/*#*/ include('Project.js');

/*#*/ include('Item.js');
/*#*/ include('Item_Cloning.js');
/*#*/ include('Item_Order.js');
/*#*/ include('Item_Bounds.js');
/*#*/ include('Item_Contains.js');

/*#*/ include('Layer.js');
/*#*/ include('Group.js');
/*#*/ include('Segment.js');

/*#*/ include('Path.js');
/*#*/ include('Style.js');
/*#*/ include('Curve.js');
/*#*/ include('Path_Shapes.js');
/*#*/ include('Path_Drawing_Commands.js');
/*#*/ include('Path_Curves.js');
/*#*/ include('Path_Bounds.js');
/*#*/ include('Path_Length.js');
/*#*/ include('CompoundPath.js');

/*#*/ include('PlacedSymbol.js');

/*#*/ include('Raster.js');

/*#*/ include('TextItem.js');

/*#*/ include('HitResult.js');

/*#*/ include('SVGImport.js');
/*#*/ include('SVGExport.js');
/*#*/ include('JSON.js');